Skip to main content
Topic: [USELESS] Windows 2000 users! (Read 996 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

[USELESS] Windows 2000 users!

I really can't see why the latest version of Foobar are not supported under Windows 2000. We, the alternative users in Bulgaria, are all more than disappointed! You shouldn't sale the soul of Foobar to the capitalist Microsoft pigs!

 
SimplePortal 1.0.0 RC1 © 2008-2019